# Get UDB instance upgrade/downgrade price information - DescribeUDBInstanceUpgradePrice

## Overview

Get UDB instance upgrade/downgrade price information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDBInstanceUpgradePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DBId** | string | Instance's Id |**Yes**|
| **MemoryLimit** | int | Memory Limit (MB) |**Yes**|
| **DiskSpace** | int | Disk Space (GB), temporarily supports 20G - 500G |**Yes**|
| **SSDType** | string | SATA", "NVMe |No|
| **InstanceType** | string | SATA_SSD", "NVMe_SSD |No|
| **OrderStartTime** | int | Get the upgrade price after a specified time, if not filled, the default is the current time. |No|
| **CPU** | int | Number of CPU cores Required for QuickJ SQLServer Upgrade/Downgrade |No|
| **MachineType** | string | Specification Type ID, valid when SpecificationType is 1 |No|
| **SpecificationType** | int | The type of instance computing specification, 0 or no transmission means purchasing by memory method, 1 means purchasing by optional memory-cpu ratio method, need to fill in MachineType. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Price** | int | Price, in cents |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUDBInstanceUpgradePrice
&Region=cn-bj2
&DBId=udb-xxxxx
&MemoryLimit=2000
&DiskSpace=200
&OrderStartTime=9
&SSDType=tGgtqfAU
&InstanceType=ahWslLjh
&CPU=5
&MachineType=SaEPqEbN
&SpecificationType=yfSRAFwh
```

### Response Example
    
```json
{
  "Action": "DescribeUDBInstanceUpgradePriceResponse",
  "Price": 1360,
  "RetCode": 0
}
```





